Foxit PDF SDK

Public Types | Public Member Functions | List of all members
foxit.addon.pageeditor.JoinSplit Class Reference
Inheritance diagram for foxit.addon.pageeditor.JoinSplit:

## Public Types
enum | JoinSplitOperationType { JoinSplitOperationType.e_JoinSplitOperationTypeJoin = 0, JoinSplitOperationType.e_JoinSplitOperationTypeSpilt = 1, JoinSplitOperationType.e_JoinSplitOperationTypeLink = 2, JoinSplitOperationType.e_JoinSplitOperationTypeUnlink = 3, JoinSplitOperationType.e_JoinSplitOperationTypeSelectNone = 4, JoinSplitOperationType.e_JoinSplitOperationTypeClose = 5 }
| Enumeration for join spilt operation type. More...

## Public Member Functions
| JoinSplit (JoinSplit other)
| Constructor, with another join split object. More...
bool | Activate ()
| Activate join split editing. More...
bool | Deactivate ()
| Deactivate join split editing. More...
void | ExitJoinEditing ()
| Exit join split editing. More...
bool | GetEnableStatus (JoinSplit.JoinSplitOperationType type)
| Get join split editing operation state. More...
bool | IsEmpty ()
| Check whether current object is empty or not. More...
void | JoinBoxes ()
| Call this function to join text. More...
void | LinkBoxes ()
| Call this function to link text. More...
bool | OnLButtonDown (int page_index, PointF point)
| Call this function when left mouse button is down. More...
bool | OnLButtonUp (int page_index, PointF point)
| Call this function when left mouse button is up. More...
bool | OnMouseMove (int page_index, PointF point)
| Call this function when mouse moves. More...
bool | Render (Int32Array page_index_array, Renderer renderer)
| Draw the currently join split operation state on the rendering. More...
void | SelectNone ()
| Call this function to clear all selected text. More...
void | SplitBoxes ()
| Call this function to split text. More...
void | UnlinkBoxes ()
| Call this function to unlink text. More...

## Detailed Description

This class represents a join split operation. Before use join split feature, ensure the function JoinSplit.Activate has been called successfully. Please call the function JoinSplit.Deactivate to deactivate when no need to use any join split function.

## Member Enumeration Documentation

## ◆ JoinSplitOperationType

enum foxit.addon.pageeditor.JoinSplit.JoinSplitOperationType
| strong

Enumeration for join spilt operation type.

Values of this enumeration should be used alone.

Enumerator
e_JoinSplitOperationTypeJoin | Join spilt operation type: Join.
e_JoinSplitOperationTypeSpilt | Join spilt operation type: Spilt.
e_JoinSplitOperationTypeLink | Join spilt operation type: Link.
e_JoinSplitOperationTypeUnlink | Join spilt operation type: Unlink.
e_JoinSplitOperationTypeSelectNone | Join spilt operation type: SelectNone.
e_JoinSplitOperationTypeClose | Join spilt operation type: Close.

## Constructor & Destructor Documentation

## ◆ JoinSplit()

foxit.addon.pageeditor.JoinSplit.JoinSplit | ( | JoinSplit | other | ) |
| inline

Constructor, with another join split object.

Parameters

  [in] | other | Another join split object.

## Member Function Documentation

## ◆ Activate()

bool foxit.addon.pageeditor.JoinSplit.Activate | ( |  | ) |
| inline

Activate join split editing.

Returns
  true means success, while false means failure.

## ◆ Deactivate()

bool foxit.addon.pageeditor.JoinSplit.Deactivate | ( |  | ) |
| inline

Deactivate join split editing.

Returns
  true means success, while false means failure.

## ◆ ExitJoinEditing()

void foxit.addon.pageeditor.JoinSplit.ExitJoinEditing | ( |  | ) |
| inline

Exit join split editing.

Returns
  None.

## ◆ GetEnableStatus()

bool foxit.addon.pageeditor.JoinSplit.GetEnableStatus | ( | JoinSplit.JoinSplitOperationType | type | ) |
| inline

Get join split editing operation state.

Returns
  true means enabled, while false means not.

## ◆ IsEmpty()

bool foxit.addon.pageeditor.JoinSplit.IsEmpty | ( |  | ) |
| inline

Check whether current object is empty or not.

When the current object is empty, that means current object is useless.

Returns
  true means current object is empty, while false means not.

## ◆ JoinBoxes()

void foxit.addon.pageeditor.JoinSplit.JoinBoxes | ( |  | ) |
| inline

Call this function to join text.

Returns
  None.

## ◆ LinkBoxes()

void foxit.addon.pageeditor.JoinSplit.LinkBoxes | ( |  | ) |
| inline

Call this function to link text.

Returns
  None.

## ◆ OnLButtonDown()

bool foxit.addon.pageeditor.JoinSplit.OnLButtonDown | ( | int | page_index,
|  | PointF | point
| ) |  |
| inline

Call this function when left mouse button is down.

Parameters

  [in] | page_index | The page index.
  [in] | point | A point where left mouse button is down in the page, in device coordinate system.

Returns
  true means success, while false means failure.

## ◆ OnLButtonUp()

bool foxit.addon.pageeditor.JoinSplit.OnLButtonUp | ( | int | page_index,
|  | PointF | point
| ) |  |
| inline

Call this function when left mouse button is up.

Parameters

  [in] | page_index | The page index.
  [in] | point | A point where left mouse button is up in the page, in device coordinate system.

Returns
  true means success, while false means failure.

## ◆ OnMouseMove()

bool foxit.addon.pageeditor.JoinSplit.OnMouseMove | ( | int | page_index,
|  | PointF | point
| ) |  |
| inline

Call this function when mouse moves.

Parameters

  [in] | page_index | The page index.
  [in] | point | A point where mouse moves in the page, in device coordinate system.

Returns
  true means success, while false means failure.

## ◆ Render()

bool foxit.addon.pageeditor.JoinSplit.Render | ( | Int32Array | page_index_array,
|  | Renderer | renderer
| ) |  |
| inline

Draw the currently join split operation state on the rendering.

The matrix used in the rendering process is returned by ParagraphEditingProviderCallback.GetRenderMatrix .

Parameters

  [in] | page_index_array | The page index array to render.
  [in] | renderer | A valid renderer object for rendering.

Returns
  true means success, while false means failure.

## ◆ SelectNone()

void foxit.addon.pageeditor.JoinSplit.SelectNone | ( |  | ) |
| inline

Call this function to clear all selected text.

Returns
  None.

## ◆ SplitBoxes()

void foxit.addon.pageeditor.JoinSplit.SplitBoxes | ( |  | ) |
| inline

Call this function to split text.

Returns
  None.

## ◆ UnlinkBoxes()

void foxit.addon.pageeditor.JoinSplit.UnlinkBoxes | ( |  | ) |
| inline

Call this function to unlink text.

Returns
  None.